<template>
  <v-app light class="max-fixed-width">
    <app-bar />
    <v-content>
      <nuxt nuxt-child-key="keep" />
    </v-content>
    <app-footer />
  </v-app>
</template>

<script>
import { defineComponent, provide } from '@vue/composition-api'
import AppFooter from '@/components/AppFooter'
import AppBar from '@/components/AppBar'
import { AppKeys } from '@/utils'
export default defineComponent({
  components: {
    AppFooter, AppBar
  },
  setup (_, context) {
    provide(AppKeys.Axios, context.root.$axios)
    provide(AppKeys.Context, context)
  }
})
</script>

<style>
.v-skeleton-loader__image.v-skeleton-loader__bone {
  height: 100%;
}
.max-fixed-width > * > *:not(.v-dialog) {
  max-width: 1440px !important;
  flex-grow: 1;
  flex-shrink: 0;
  margin: auto;
  width: 100%;
}
.max-fixed-width > * {
  display: flex;
  justify-content: center;
  align-items: center;
}
</style>

<style lang="scss">
@import '~vuetify/src/styles/styles.sass';

.flexible-1 {
  font-size: 3rem;
  line-height: 3.125rem;
}
.flexible-2 {
  font-size: 1.9rem;
  line-height: 2.5rem;
}
.flexible-3 {
  font-size: 1.2rem;
  line-height: 1.6rem;
}
@media #{map-get($display-breakpoints, 'sm-and-down')} {
  .flexible-1 {
    font-size: 2.5rem;
    line-height: 2.6rem;
  }
  .flexible-2 {
    font-size: 1.5rem;
    line-height: 1.6rem;
  }
  .flexible-3 {
    font-size: 1rem;
    line-height: 1.33rem;
  }
}
.lds-ripple {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-ripple div {
  position: absolute;
  border: 4px solid var(--v-accent-base);
  opacity: 1;
  border-radius: 50%;
  animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
.no-border {
  border-radius: 0;
}
.lds-ripple div:nth-child(2) {
  animation-delay: -0.5s;
}
.v-image__image.v-image__image--cover {
  filter: brightness(1.10) contrast(1.05);
}
@keyframes lds-ripple {
  0% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 1;
  }
  100% {
    top: 0px;
    left: 0px;
    width: 72px;
    height: 72px;
    opacity: 0;
  }
}
</style>
